Page 1 of 3 123 LastLast
Results 1 to 10 of 29

Thread: 16 problems with packages relating to "gstreamer"???

  1. #1

    Default 16 problems with packages relating to "gstreamer"???

    Folks:

    Tried to run a zypper dup -l a few minutes ago and it showed something like "286 packages to upgrade" but before it would run the upgrade it found "16 problems" seemingly with dependencies and "gstreamer" where the two "solutions" offered were either to drop back to the previous "5.4x" version of it, or "keep the obsolete" but numerically newer "5.6x" version . . . ???

    I tried keeping the obsolete option but it seemed like it was going to ask me for all 16 of the "problems" . . . I canceled out of it.

    Is there a "correct" answer, or, best to wait a day or two until the zypper gets these dependency questions answered, before asking me what I want to do???

  2. #2
    Join Date
    Jun 2008
    Location
    Germany
    Posts
    199

    Default Re: 16 problems with packages relating to "gstreamer"???

    I think it is an issue with packman, not sure if they have dropped those packages entirely or just 'forgotten'.
    I've let them switch to the opensuse version and have not had an issue so far.

  3. #3

    Default Re: 16 problems with packages relating to "gstreamer"???

    Quote Originally Posted by swannema View Post
    I think it is an issue with packman, not sure if they have dropped those packages entirely or just 'forgotten'.
    I've let them switch to the opensuse version and have not had an issue so far.
    @swannema:

    OK, thanks for the reply on it . . . but what does that mean, "I've let them switch to the opensuse version"??? Would that be the seemingly "older" package, dropping back so to speak, rather than "keep obsolete, but newer package" choice??

    So, that would be "solution #1"????

    I've restarted out of TW, so I can't just check it to see if the "obsolete" package is showing a "packman repo" address or which . . . ???

    [edit: Never mind on the question, back in TW and I see that it is #1 that you are referring to . . . switching to "opensuse" . . . . I'll give it a fly.]

  4. #4
    Join Date
    Jun 2008
    Location
    Germany
    Posts
    199

    Default Re: 16 problems with packages relating to "gstreamer"???

    You got it right. If packman gets it act together you can always switch back, it will be done with a zypper dup as long as the packman repo has a higher priority than the opensuse repo.

  5. #5

    Default Re: 16 problems with packages relating to "gstreamer"???

    Quote Originally Posted by swannema View Post
    You got it right. If packman gets it act together you can always switch back, it will be done with a zypper dup as long as the packman repo has a higher priority than the opensuse repo.
    @swannema:

    Cool. Yep, the zypper dup -l seemed to run cleanly after I answered all 16 of the questions . . . . So I guess we'll see how long it goes before the next set of zypper questions comes down the pike . . . .

  6. #6
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,912
    Blog Entries
    3

    Default Re: 16 problems with packages relating to "gstreamer"???

    I ran into this today.

    There were 16 packages that were switched from "packman" to "opensuse" repos. I did not hit any problems, but that's because my configuration allows vendor-change for "zypper dup".

    I will make a wild guess on what might be happening.

    Some of the packages have restrictions due to licenses or patents. And the packman packages provide unrestricted versions of those.

    My wild guess: some of those restriction may have expired, so that the standard Tumbleweed repos now have unrestricted versions. And thus there is no need for packman to provide those.

    Again, this is only a wild guess.
    openSUSE Leap 15.4 Beta; KDE Plasma 5.24.4;
    testing Tumbleweed.

  7. #7

    Default Re: 16 problems with packages relating to "gstreamer"???

    @nrickert:

    Wild guesses are often more amusing than the non-wild type of guess . . . .

  8. #8
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    30,484

    Default Re: 16 problems with packages relating to "gstreamer"???

    Quote Originally Posted by non_space View Post
    @nrickert:

    Wild guesses are often more amusing than the non-wild type of guess . . . .
    The guess is not too wild. This happened earlier with the expiring of the restrictions on (a guess) mp3 years ago.
    Henk van Velden

  9. #9

    Default Re: 16 problems with packages relating to "gstreamer"???

    Quote Originally Posted by hcvv View Post
    The guess is not too wild. This happened earlier with the expiring of the restrictions on (a guess) mp3 years ago.
    @hcvv:

    Ah, yeah, a "guess" based upon previous historical evidence is less than "wild" . . . might be "slightly wild" . . . ????

  10. #10
    Join Date
    Jan 2014
    Location
    Florida
    Posts
    96

    Default Re: 16 problems with packages relating to "gstreamer"???

    If the switch was owing to restrictions no longer applying, why was that information not include in the snapshot announcement?

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •